package com.ejie.aa20b.dao;

import java.util.List;

import com.ejie.aa20b.model.Partetecgmaorechazo;
import com.ejie.aa20b.model.Partetecnicosgmao;
import com.ejie.x38.dto.Pagination;

public interface PartetecnicosgmaoDao {

	Partetecnicosgmao add(Partetecnicosgmao partetecnicosgmao);

	Partetecgmaorechazo addRechazoTec(
			Partetecgmaorechazo partetecnicosrechazogmao);

	Partetecgmaorechazo findRechazoTec(
			Partetecgmaorechazo partetecnicosrechazogmao);

	Partetecnicosgmao update(Partetecnicosgmao partetecnicosgmao);

	void actualizarTiempoPausaParte(Partetecnicosgmao partetecnicosgmao);

	Partetecnicosgmao marcarPausaAutoParte(Partetecnicosgmao partetecnicosgmao);

	Partetecnicosgmao find(Partetecnicosgmao partetecnicosgmao);

	Partetecnicosgmao findParteSinTecnico(Partetecnicosgmao partetecnicosgmao);

	Partetecnicosgmao findByGUID(Partetecnicosgmao partetecnicosgmao);

	Partetecnicosgmao findByIdParte(Partetecnicosgmao partetecnicosgmao);

	List<Partetecnicosgmao> findAll(Partetecnicosgmao partetecnicosgmao,
			Pagination pagination);

	List<Partetecnicosgmao> findAllnoAsignadosMovilGmao(
			Partetecnicosgmao partetecnicosgmao, Pagination pagination);

	List<Partetecnicosgmao> obtenerPartesUrgentesPendientes();

	void remove(Partetecnicosgmao partetecnicosgmao);

}